import { createApp } from "vue";
import App from "./App.vue";
import router from "./router";
import store from "./store/index";
import "./assets/css/reset.css";
import * as ElementPlusIconsVue from "@element-plus/icons-vue";
import { initWebSocket } from "../src/utils/websocket";
import { useUserStore } from "./store/modules/user";
import 'element-plus/dist/index.css'
import "../src/mocks/mock";
const app = createApp(App);
app.use(store).use(router).mount("#app");
for (const [key, component] of Object.entries(ElementPlusIconsVue)) {
  app.component(key, component);
}
const connectMsg = () => {
  const useUser = useUserStore();
  const toIp = `ws://192.168.31.228:8888?username=admin&password=123`;
  console.log(useUser.isConnected, "store");
  useUser.connect();
  initWebSocket(toIp);
};

connectMsg();
